
Redmine - Feature #39579

Drop official support for MySQL 5.5, 5.6 and 5.7

2023-11-18 23:57 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

In Redmine 6.0.0, we should display a warning during boot or on the Administration page if Redmine is using a MySQL version lower

than 8.0:

Version Release Date End of life

MySQL 8.0 April 19, 2018 April, 2026

MySQL 5.7 October 21, 2015 October 21, 2023

MySQL 5.6 February 5, 2013 February 5, 2021

MySQL 5.5 December 3, 2010 December 3, 2018

Cloud providers also drops support for MySQL 5.7.

Related issues:

Related to Redmine - Feature #30419: Drop support for MySQL 5.5 Closed

History

#1 - 2023-11-18 23:57 - Marius BĂLTEANU

- Description updated

#2 - 2023-11-19 00:02 - Marius BĂLTEANU

- Tracker changed from Defect to Patch

#3 - 2023-11-19 07:55 - Go MAEDA

I have no objection to ending support for older versions of MySQL, but I don't think it is necessary to display such a warning message.

We have never displayed such a message and have quietly ended support for older versions of databases. If we will display such a warning

message, we have to consider to display the same message for PostgreSQL and SQLite.

#4 - 2023-11-21 00:04 - Marius BĂLTEANU

- Related to Feature #30419: Drop support for MySQL 5.5 added

#5 - 2024-01-01 11:00 - Mischa The Evil

Go MAEDA wrote in #note-3:

[...] but I don't think it is necessary to display such a warning message.

We have never displayed such a message and have quietly ended support for older versions of databases. If we will display such a warning

message, we have to consider to display the same message for PostgreSQL and SQLite.

 I agree with Go on this.

#6 - 2024-01-01 14:35 - Marius BĂLTEANU

- Tracker changed from Patch to Feature

- Target version deleted (6.0.0)
https://www.redmine.org/versions/175


- Resolution set to Fixed

MySQL versions have been updated in RedmineInstall as part of #39437#note-16.

No other changes are required, I'm closing this.

#7 - 2024-01-17 05:55 - Marius BĂLTEANU

- Status changed from New to Closed
